Package org.drinkless.tdlib

# Class TdApi.BotMediaPreview

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotMediaPreview

Enclosing class:
  `TdApi`

public static class TdApi.BotMediaPreview extends TdApi.Object
Describes media previews of a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryContent`
  `content`
  Content of the preview; may only be of the types storyContentPhoto, storyContentVideo, or storyContentUnsupported.
  `int`
  `date`
  Point in time (Unix timestamp) when the preview was added or changed last time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotMediaPreview()`
  Describes media previews of a bot.
  `BotMediaPreview(int date, TdApi.StoryContent content)`
  Describes media previews of a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### date

    public int date
    Point in time (Unix timestamp) when the preview was added or changed last time.

  - ### content

    public TdApi.StoryContent content
    Content of the preview; may only be of the types storyContentPhoto, storyContentVideo, or storyContentUnsupported.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotMediaPreview

    public BotMediaPreview()
    Describes media previews of a bot.

  - ### BotMediaPreview

    public BotMediaPreview(int date, TdApi.StoryContent content)
    Describes media previews of a bot.
    Parameters:
      `date` - Point in time (Unix timestamp) when the preview was added or changed last time.
      `content` - Content of the preview; may only be of the types storyContentPhoto, storyContentVideo, or storyContentUnsupported.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR